import * as O from 'fp-ts/Option';
import { BasicProfileDto, UserProfileDto } from './user-api.dto';
export declare class UserApi {
  getUserProfile(): Promise<UserProfileDto>;
  getBasicProfileByEmail(email: string): Promise<O.Option<BasicProfileDto>>;
}
declare const _default: UserApi;
export default _default;
